%define upstream_name    Code-TidyAll-Plugin-TSLint
%define upstream_version 0.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Runs tslint, pluggable linting utility for TypeScript
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Code/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Code::TidyAll::Plugin)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Runs https://github.com/palantir/tslint, pluggable linting utility for
TypeScript.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.1.0-5.mga9
+ Revision: 1819440
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.1.0-4.mga8
+ Revision: 1523715
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 0.1.0-3.mga7
+ Revision: 1374678
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-2.mga7
+ Revision: 1282288
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 shlomif <shlomif> 0.1.0-1.mga7
+ Revision: 1234688
- imported package perl-Code-TidyAll-Plugin-TSLint


* Tue Jun 05 2018 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
